{ lib, config,  ...}:
let
globals = import ../../config/globals.nix;
nixosRelease = lib.attrByPath [ "system" "nixos" "release" ] "0.0" config;
newGit = lib.versionAtLeast nixosRelease "25.11";
in {
  programs.git = if newGit then {
    enable = true;
    settings.user = {
      name = globals.admin.name;
      email = globals.admin.email;
      };
    } else {
      enable = true;
      userName = globals.admin.name;
      userEmail = globals.admin.email;
    };
}
# vim: set ts=2 sw=2 sts=2 et :

